API Reference
Set Active Organisation
SetActiveOrganisation sets the active Organisation for the current user and returns said Organisation.
PUT
/
organisations
/
{organisation_id}
/
active
Set Active Organisation
curl --request PUT \
--url https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/active \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/active"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/active",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/active"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/active")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/active")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"slug": "<string>",
"displayName": "<string>",
"owner": "<string>",
"billing": {
"platformId": "<string>",
"customerId": "<string>",
"billingEmail": "<string>",
"isSubscriptionActive": 123,
"billingPeriodStart": "2023-12-25",
"billingPeriodEnd": "2023-12-25",
"platformType": "<string>",
"subscriptionId": "<string>",
"recentSubscriptions": [
{
"id": "<string>",
"status": "active",
"rawData": "<unknown>"
}
],
"hasMoreSubscriptions": true,
"freeTrialEndDate": "2023-12-25",
"isBespoke": true,
"boardQuota": 123,
"hubBoardQuota": 123
},
"systemServiceAccountClientID": "<string>",
"plan": "<string>"
}{
"code": "<string>",
"message": "<string>",
"cause": "<string>"
}Authorizations
Response
OK
SystemServiceAccountClientID is the client ID of the system service account for this Organisation. This is automatically created when the Organisation is created and is used by internal services which must authenticate on behalf of the Organisation. It cannot be deleted.
⌘I
Set Active Organisation
curl --request PUT \
--url https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/active \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/active"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/active",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/active"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/active")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/active")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"slug": "<string>",
"displayName": "<string>",
"owner": "<string>",
"billing": {
"platformId": "<string>",
"customerId": "<string>",
"billingEmail": "<string>",
"isSubscriptionActive": 123,
"billingPeriodStart": "2023-12-25",
"billingPeriodEnd": "2023-12-25",
"platformType": "<string>",
"subscriptionId": "<string>",
"recentSubscriptions": [
{
"id": "<string>",
"status": "active",
"rawData": "<unknown>"
}
],
"hasMoreSubscriptions": true,
"freeTrialEndDate": "2023-12-25",
"isBespoke": true,
"boardQuota": 123,
"hubBoardQuota": 123
},
"systemServiceAccountClientID": "<string>",
"plan": "<string>"
}{
"code": "<string>",
"message": "<string>",
"cause": "<string>"
}